This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 859175 - [abrt] guake-0.4.4-4.fc17: prefs.py:577:populate_keys_tree:GError: Der Konfigurationsserver konnte nicht kontaktiert werden: D-BUS-Fehler: Der GConf-Hintergrunddienst wird derzeit heruntergefahren.
[abrt] guake-0.4.4-4.fc17: prefs.py:577:populate_keys_tree:GError: Der Konfig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: guake (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
abrt_hash:fcdad1bb424889ede7e0f1004c3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 14:07 EDT by ofesseler
Modified: 2013-08-01 04:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:46:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (520 bytes, text/plain)
2012-09-20 14:07 EDT, ofesseler
no flags Details

  None (edit)
Description ofesseler 2012-09-20 14:07:49 EDT
Version-Release number of selected component:
guake-0.4.4-4.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        python -m guake.prefs
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:prefs.py:577:populate_keys_tree:GError: Der Konfigurationsserver konnte nicht kontaktiert werden: D-BUS-Fehler: Der GConf-Hintergrunddienst wird derzeit heruntergefahren.
:
:Traceback (most recent call last):
:  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
:    "__main__", fname, loader, pkg_name)
:  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
:    exec code in run_globals
:  File "/usr/lib64/python2.7/site-packages/guake/prefs.py", line 730, in <module>
:    setup_standalone_signals(PrefsDialog()).show()
:  File "/usr/lib64/python2.7/site-packages/guake/prefs.py", line 320, in __init__
:    self.populate_keys_tree()
:  File "/usr/lib64/python2.7/site-packages/guake/prefs.py", line 577, in populate_keys_tree
:    accel = self.client.get_string(item['key'])
:GError: Der Konfigurationsserver konnte nicht kontaktiert werden: D-BUS-Fehler: Der GConf-Hintergrunddienst wird derzeit heruntergefahren.
:
:Local variables in innermost frame:
:group: {'keys': [{'key': '/apps/guake/keybindings/global/show_hide', 'label': 'Toggle Guake visibility'}, {'key': '/apps/guake/keybindings/local/toggle_fullscreen', 'label': 'Toggle Fullscreen'}, {'key': '/apps/guake/keybindings/local/quit', 'label': 'Quit'}], 'label': 'General'}
:self: PrefsDialog(path="/usr/share/guake/prefs.glade", root="config_window")
:item: {'key': '/apps/guake/keybindings/global/show_hide', 'label': 'Toggle Guake visibility'}
:child: <GtkTreeIter at 0x224ea80>
:giter: <GtkTreeIter at 0x215c0a0>
:model: <gtk.TreeStore object at 0x20955a0 (GtkTreeStore at 0x23131d0)>
Comment 1 ofesseler 2012-09-20 14:07:53 EDT
Created attachment 615012 [details]
File: core_backtrace
Comment 2 Pierre-YvesChibon 2012-10-01 08:13:03 EDT
Since I do not read German, would you mind to help me translate the message ?

Also, can you reproduce the bug ? Could you indicate me the steps to follow to reproduce it ?

Thanks!
Comment 3 ofesseler 2012-10-01 08:33:51 EDT
here it is the same messagetext: 

backtrace:
:prefs.py:577:populate_keys_tree:GError: Der Konfigurationsserver konnte nicht kontaktiert werden: D-BUS-Fehler: Der GConf-Hintergrunddienst wird derzeit heruntergefahren.

translated something like: 
:prefs.py:577:populate_keys_tree:GError: Could not contact Configurationserver. D-BUS-Error: Shutting down GConf-Backgrounddaemon/server 

The second german part and the heading are the same.. 

and same preconditions: 

It happend a few times but I can't reproduce it until now. Sometimes I couldn't open a new tab. 
And I had some issues with the radeon driver for a AMD/ATI HD3850, it's now replaced with a NVIDIA 9600GT with NVIDIA driver.

Hope this will help a bit. 
And guake is a great tool! Thanks! 

regards
Comment 4 Pierre-YvesChibon 2012-10-01 09:15:02 EDT
Thanks for the translation.

This seems to be dbus/gconf related. There has been a number of report on this (see #771863) but I have to say that I have no idea how to fix this :-/

Regards
Comment 5 Fedora End Of Life 2013-07-03 22:35:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 04:46:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.